;
; 桜を舞い散らすプラグイン v1.00
; RYO
;
; ＜導入すると、以下の機能が追加されます＞
;　導入することで、背景に桜が舞い散ります。
;　振った桜は地面につもり、一定時間後、風でちらばります。
;
; ＜使い方＞
;   sakura/sakura.ks を読み込んで下さい。
;   ゲーム初期化部分で呼び出しておくのが望ましいです。
;
;   プラグイン読み込み
;   [call storage="sakura/sakura.ks"]
;
;   開始
;　　 [sakura_start]
;
;   止める
;   [sakura_stop]
;
; ＜注意点＞
;   ティラノスクリプトVer2.0.1 で動作保証
;
;   高い負荷がかかります。スマートフォンでは使用できませんのでご注意ください。
;　　 PCにおいても、長期間使用しますと、動作が重くなります。
;

[loadjs storage ="sakura/sakura.js" ]

[macro name="sakura_start"]

[iscript]

var canvas_obj = $('<canvas id="sakura" ></canvas>');

canvas_obj.css("width",TG.kag.config.scWidth);
canvas_obj.css("height",TG.kag.config.scHeight);
canvas_obj.css("z-index",12);
canvas_obj.css("position","absolute");


$(".tyrano_base").append(canvas_obj);


initSakura();


[endscript]

[endmacro]

[macro name="sakura_stop"]
[iscript]
$("#sakura").remove();
[endscript]
[endmacro]

